Subject: [DMVR] Web Site Problems

From: Sam & Greg Scharnberg <[email-masked]>
Date: Tue, 20 May 2003 18:57:12 -0500

According to Ric the Webmaster:

Our domain name needs to be renewed for another year, but something is 
wrong at the provider. I've been unable for the last week to log in to 
their website to renew our URL. I just sent them a THIRD email asking for 
their assistance in renewing the address. We should be back up soon.